lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sundling, Paul" <paul.sundl...@sonyconnect.com>
Subject FW: EdgeNGramTokenizer errors in eclipse
Date Thu, 26 Jul 2007 22:38:23 GMT
Has anyone else noticed this?  I didn't get any response on the user
list.

Paul Sundling

-----Original Message-----
From: Sundling, Paul 
Sent: Tuesday, July 24, 2007 4:55 PM
To: solr-user@lucene.apache.org
Subject: EdgeNGramTokenizer errors in eclipse


I checked out the latest solr source code from subversion and put it in
an eclipse project.  I used all the jars for the project (had to add
junit).  I get errors in eclipse about two constants not being defined
in one of the library jars:
 
  (based on imports org.apache.lucene.analysis.ngram.EdgeNGramTokenizer)
  EdgeNGramTokenizer.DEFAULT_MAX_GRAM_SIZE
    and
  EdgeNGramTokenizer.DEFAULT_MAX_GRAM_SIZE

are not defined.  So was a class changed that this Solr class depends
on?

 

The error happens in org.apache.solr.analysis.EdgeNGramTokenizerFactory:

  maxGramSize = (maxArg != null ? Integer.parseInt(maxArg) :
EdgeNGramTokenizer.DEFAULT_MAX_GRAM_SIZE);
  String minArg = args.get("minGramSize");
  minGramSize = (minArg != null ? Integer.parseInt(minArg) :
EdgeNGramTokenizer.DEFAULT_MIN_GRAM_SIZE);


Am I doing something wrong?  

Paul Sundling

 


Mime
View raw message